Bug 1647013 - Password field is locked and blank in log depot settings after changing log depot type
Summary: Password field is locked and blank in log depot settings after changing log d...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.5
Hardware: All
OS: All
medium
low
Target Milestone: GA
: 5.10.0
Assignee: Martin Maroši
QA Contact: Angelina Nikiforova
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-06 14:06 UTC by Angelina Nikiforova
Modified: 2019-02-07 23:04 UTC (History)
8 users (show)

Fixed In Version: 5.10.0.25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:03:56 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:04:01 UTC

Description Angelina Nikiforova 2018-11-06 14:06:20 UTC
Description of problem:
Password field is locked in log depot settings after changing log depot type

Version-Release number of selected component (if applicable):
5.9.5.3.20181023135339_256263f
5.10.0.22.20181030184024_26956a0

How reproducible:
Always

Steps to Reproduce:
1. Go to Configuration -> Diagnostics -> Server -> Collect Logs
2. Click Edit
3. Select Type: FTP and fill all the fields, click save
4. Click Edit
5. Select Type: Samba and fill all the fields

Actual results:
The field Password is locked for editing

Expected results:
All fields are available for editing

Additional info:
The field Password is locked for editing and it's not possible to save the configuration. However, we need to click "Change stored password" and the field is available.


So, the the stored password is blank. But if we then click "Cancel password change" then the field is licked and _filled_ and it's possible to save the configuration.

Comment 4 CFME Bot 2018-11-07 09:56:25 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/8c52e4aef57c8cf345da462e2e24d90b1f887e0d
commit 8c52e4aef57c8cf345da462e2e24d90b1f887e0d
Author:     Martin Maroši <marvusm.mmi@gmail.com>
AuthorDate: Wed Nov  7 03:30:21 2018 -0500
Commit:     Martin Maroši <marvusm.mmi@gmail.com>
CommitDate: Wed Nov  7 03:30:21 2018 -0500

    Enabled password editing if log protocol has changed.

    fixes: https://bugzilla.redhat.com/show_bug.cgi?id=1647013

 app/assets/javascripts/components/auth-credentials.js | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 5 CFME Bot 2018-11-08 17:46:37 UTC
New commit detected on ManageIQ/manageiq-ui-classic/hammer:

https://github.com/ManageIQ/manageiq-ui-classic/commit/48e4d7a6d25f88d3e5a0fc5a20385cec3df7be3e
commit 48e4d7a6d25f88d3e5a0fc5a20385cec3df7be3e
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Wed Nov  7 04:54:53 2018 -0500
Commit:     Milan Zázrivec <mzazrivec@redhat.com>
CommitDate: Wed Nov  7 04:54:53 2018 -0500

    Merge pull request #4885 from Hyperkid123/fix-password-edit

    Enabled password editing if log protocol has changed.

    (cherry picked from commit 1b49424a22f1c4308fcf9e6c23839603c10ddf72)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1647013

 app/assets/javascripts/components/auth-credentials.js | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 6 Angelina Nikiforova 2018-11-15 10:15:46 UTC
In 5.10.0.24.20181113213923_03b81fd.

The password gets locked in the following steps, for example:
1. Save depot settings for FTP
2. Click Edit
3. Select any other depot type
4. Select depot type FTP
5. Fill the fields

When I fill Username field, Password field gets locked.

Comment 8 CFME Bot 2018-11-19 15:12:57 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/e2ebc93c9818beeacd200a0004906f2ca9ba2cc9
commit e2ebc93c9818beeacd200a0004906f2ca9ba2cc9
Author:     Martin Maroši <marvusm.mmi@gmail.com>
AuthorDate: Fri Nov 16 05:16:54 2018 -0500
Commit:     Martin Maroši <marvusm.mmi@gmail.com>
CommitDate: Fri Nov 16 05:16:54 2018 -0500

    Fixed disabled password input.

    fixes: https://bugzilla.redhat.com/show_bug.cgi?id=1647013

 app/assets/javascripts/components/auth-credentials.js | 4 +-
 1 file changed, 3 insertions(+), 1 deletion(-)

Comment 9 CFME Bot 2018-11-19 18:32:54 UTC
New commit detected on ManageIQ/manageiq-ui-classic/hammer:

https://github.com/ManageIQ/manageiq-ui-classic/commit/c11f2b7d1513cc9b8b9fb57211aa235bab24a60a
commit c11f2b7d1513cc9b8b9fb57211aa235bab24a60a
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Mon Nov 19 10:11:14 2018 -0500
Commit:     Milan Zázrivec <mzazrivec@redhat.com>
CommitDate: Mon Nov 19 10:11:14 2018 -0500

    Merge pull request #4932 from Hyperkid123/fix-disabled-password

    Fixed disabled password input.

    (cherry picked from commit 7a82ca52953d1640bd5feec3d98c91179554078a)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1647013

 app/assets/javascripts/components/auth-credentials.js | 4 +-
 1 file changed, 3 insertions(+), 1 deletion(-)

Comment 10 Angelina Nikiforova 2018-11-23 09:58:08 UTC
Fixed and verified in 5.10.0.25.20181120211723_d2fd659

Comment 11 errata-xmlrpc 2019-02-07 23:03:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.